GET
/pipelines/runs/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/runs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/runs/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/runs/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page_no
integer
The page number from which you want your page search results to be displayed.
page_size
integer
Number of results per page
pipeline_version_id
string format: uuid
Filter runs by pipeline version ID
project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Successful response containing run details
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
run_id
string format: uuid
state
string
progress
string
finished_at
string format: date-time
created_at
string format: date-time
source
string
scheduled_job
string
errors
object
message
string
total_page_number
integer
total_count
integer
Example
{ "code": 200, "data": [ { "id": 2439, "name": "tir-run-111416275353", "run_id": "116bf10c-6d76-461a-98d2-7feb99fe7d29", "state": "Pending", "progress": "", "finished_at": "1970-01-01T00:00:00Z", "created_at": "2024-11-14T10:58:23.918155Z", "source": "pipeline", "scheduled_job": null } ], "errors": {}, "message": "Success", "total_page_number": 1, "total_count": 1}